Subject: Re: [bug#40950] [PATCH] mcron, create /var/cron/tabs on activation

From: Marcin Karpezo <[email-masked]>
Date: Sat, 2 May 2020 10:03:51 +0000 (UTC)

2 maj 2020 00:06:16 Ludovic Courtès <[email-masked]>:

> Hi Marcin,
>
> Marcin Karpezo <[email-masked]> skribis:
>
>
> > With big rekado help I'm sending you a patch with at least partially
> > fixes the issue of crontab -e reporting missing /var/cron/tabs
> > directory.
> >
>
> Unless I’m mistaken, creating /var/cron/tabs will silence “crontab -e”,
> but those entries will still be ignored because mcron’s crond is not
> running (IIRC the cron functionality of mcron is separate and requires
> you to run crond, which we don’t do.)
>
> One option would be to write a different service altogether running that
> daemon and creates /var/cron/tabs like you did.
>
> Another option would be to remote the ‘crontab’ program from our ‘mcron’
> package to at least avoid disappointments.
>
> Thoughts?

Why won't start supporting and running mcron's crond daemon? That way guix will finally have normal fully functional cron which will ease administration not only on personal machines but also on server side. It's nice to have everything defined in one config file but it isn't as handy for multiuser setup.

I think instead of avoiding disappointment it would be better to positively surprise the users. I know that guix thrives in what sets it apart from other distros, but it's better to keep things standard whenever its possible and follow the rule of least surprise. Especially if it won't be damaging for the goals of the project.

Cheers
Marcin